Bug 459535 (backup-manager) - Review Request: backup-manager - A command line backup tool for GNU/Linux
Summary: Review Request: backup-manager - A command line backup tool for GNU/Linux
Keywords:
Status: CLOSED NEXTRELEASE
Alias: backup-manager
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 10
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL: http://www.backup-manager.org/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-19 20:03 UTC by Guillaume Kulakowski
Modified: 2014-09-08 12:57 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-07 22:20:01 UTC
cwickert: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Guillaume Kulakowski 2008-08-19 20:03:44 UTC
Backup Manager is a command line backup tool for GNU/Linux, designed to help
you make daily archives of your file system. Written in bash and perl, it can
make archives in lots of open formats (tar, gzip, bzip2, lzma, dar, zip) and
provides lots of interesting features (such as network exports or CD/DVD
automated-burning).

The program is designed to be as easy to use as possible and is popular with
desktop users and sysadmins. The whole backup process is defined in one
full-documented configuration file which needs no more than 5 minutes to tune
for your needs. It just works.

spec: http://www.llaumgui.com/public/rpm/SPECS/backup-manager.spec
rpm: http://www.llaumgui.com/public/rpm/RPMS/fc9/noarch/backup-manager-0.7.7-1.fc9.noarch.rpm
src: http://www.llaumgui.com/public/rpm/SRPMS/fc9/backup-manager-0.7.7-1.fc9.src.rpm

Other RPMS :
 - http://www.llaumgui.com/public/rpm/RPMS/fc6/noarch/backup-manager-0.7.7-1.fc6.noarch.rpm
 - http://www.llaumgui.com/public/rpm/RPMS/fc8/noarch/backup-manager-0.7.7-1.fc8.noarch.rpm

Comment 1 Remi Collet 2008-08-20 16:33:26 UTC
I will be away for the next few days, so only small comments.

1/ I don't know if using same file for input/ouput in iconv is a good idea.

2/ Keeping the original date/time of documentation file is probably a good idea (no guidelines about this, I think, but some reviewer ask for it)

A simple solution (1+2) :

     # Convert to utf-8
     for file in AUTHORS ChangeLog THANKS; do
       mv $file timestamp
       iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp
       touch -r timestamp $file
     done

3/ Should provides a working config.

Especialy, the BM_REPOSITORY_ROOT (should be configured, created and owned by the RPM).

4/ Cron integration

It could be useful to provided a cron.daily script with the RPM, with log stored in the usual folder (and of course a logrotate config)

=> Yum install and forget it.

Comment 2 Guillaume Kulakowski 2008-08-20 19:16:14 UTC
Thx REmi,

1/, 2/, 3/ => OK (0.7.7-2)

4/ -> A backup policy is an important administration task. The backup's schedule is an important choice and I don't prefer providing a cron.daily.


Notice : rpmlint is quiet


--------------------------------------
spec: http://www.llaumgui.com/public/rpm/SPECS/backup-manager.spec
rpm: http://www.llaumgui.com/public/rpm/RPMS/fc9/noarch/backup-manager-0.7.7-2.fc9.noarch.rpm
src: http://www.llaumgui.com/public/rpm/SRPMS/fc9/backup-manager-0.7.7-2.fc9.src.rpm
--------------------------------------

--------------------------------------
Other RPMS :
FC6: http://www.llaumgui.com/public/rpm/RPMS/fc6/noarch/backup-manager-0.7.7-2.fc6.noarch.rpm
FC8: http://www.llaumgui.com/public/rpm/RPMS/fc8/noarch/backup-manager-0.7.7-2.fc8.noarch.rpm
--------------------------------------

Comment 3 Guillaume Kulakowski 2008-09-26 19:54:19 UTC
An update for to remember that I need a review...

Comment 4 Susi Lehtola 2008-09-29 15:08:40 UTC
A cron.daily would be very useful, but it should not run if the config file is the original one.

Comment 5 Guillaume Kulakowski 2008-09-30 18:48:27 UTC
@Jussi => I think that a backup policy is an important administration task. The backup's schedule is an important choice (what time ?) and I don't prefer providing a cron.daily.

Comment 6 Susi Lehtola 2008-09-30 21:23:34 UTC
(In reply to comment #5)
> @Jussi => I think that a backup policy is an important administration task. The
> backup's schedule is an important choice (what time ?) and I don't prefer
> providing a cron.daily.

Indeed it is, and that's why the cron job shouldn't do anything automatically - the configuration has to be done first.

However the nice thing about a distributed cron file is that it's easy to use: just install the package and configure, and the backups are made every day.

Of course the admin still has to verify that the backups really work (can be restored in case of crash), but that's a wholly another thing.

Comment 7 Guillaume Kulakowski 2008-10-12 16:15:31 UTC
I have add a daily cron and an option in backup-manager.conf. Put BM_DAILY_CRON to true for active daily cron.

--------------------------------------
spec: http://www.llaumgui.com/public/rpm/SPECS/backup-manager.spec
rpm:
http://www.llaumgui.com/public/rpm/RPMS/fc9/noarch/backup-manager-0.7.7-3.fc9.noarch.rpm
src:
http://www.llaumgui.com/public/rpm/SRPMS/fc9/backup-manager-0.7.7-3.fc9.src.rpm
--------------------------------------

--------------------------------------
Other RPMS :
FC6:
http://www.llaumgui.com/public/rpm/RPMS/fc6/noarch/backup-manager-0.7.7-3.fc6.noarch.rpm
FC8:
http://www.llaumgui.com/public/rpm/RPMS/fc8/noarch/backup-manager-0.7.7-3.fc8.noarch.rpm

Comment 9 Aurelien Bompard 2009-01-10 13:34:29 UTC
Since there's been no action for over a month, I'm taking over the review :)

Review for release 3.fc10:
* RPM name is OK
* Source backup-manager-0.7.7.tar.gz is the same as upstream
* rpmlint looks OK
* File list looks OK
* Works fine

APPROVED

Two small things though:
- the actual license is GPLv2+ (see the head of the backup-manager file). Please fix the RPM tag.
- in the comment you add to the conf file, please switch "Specific RPM" to "RPM-specific", this is better english.
Since those changes are so trivial, no need to resubmit a package here, just do it right before or after importing.

Thanks Guillaume.

Comment 10 Christoph Wickert 2009-01-10 14:22:32 UTC
This package does not meet the packaging guidelines and therefore I'm resetting the fedora‑review flag:

Summary: is not good. 

License tag is wrong. The package is GPLv2+, not GPL. Please take a look at the headers of the scripts.

Not all docs are included, THANKS is missing. Credits are important, just like licenses and should therefore be included.

Some requirements are missing. There are a couple of commands in the scripts that are not included in Requires:, see
http://fedoraproject.org/wiki/Packaging/Guidelines#File_Dependencies

Changelog format is not correct: Changelogs get parsed automatically and therefor there should be a blank line between all entries. Also you should not add a comment line in %changelog, see
http://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs

Timestamp ot Source= does not match, see
https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

0.7.7 is a development version. Is this supposed to be included in a stable Fedora release?


Aurelien, please review more carefully next time. I would like to at least see a list of the tests you have done on this package.

Comment 11 Christoph Wickert 2009-01-10 14:38:03 UTC
(In reply to comment #10)
> Summary: is not good. 

You can leave it as is

> License tag is wrong. The package is GPLv2+, not GPL.

> Not all docs are included, THANKS is missing.

Sorry, It's in there, my bad.

Comment 12 Guillaume Kulakowski 2009-01-10 15:10:08 UTC
Correction make :

spec: http://www.llaumgui.com/public/rpm/SPECS/backup-manager.spec
rpm:
http://www.llaumgui.com/public/rpm/RPMS/fc10/noarch/backup-manager-0.7.7-4.fc10.noarch.rpm
src:
http://www.llaumgui.com/public/rpm/SRPMS/fc10/backup-manager-0.7.7-4.fc10.src.rpm

For the choice of the version 0.7 unstable it is that the 0.6 is old and is not more maintained

Comment 13 Aurelien Bompard 2009-01-10 15:43:33 UTC
> I would like to at least see a list of the tests you have done on this package.

As any reviewer should, I have checked these items :
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines#Things_To_Check_On_Review
To my knowledge, there is no "Bugzilla comment format" for a review, unless this changed recently. If I missed that, please point me to the wiki page.

Comment 14 Christoph Wickert 2009-01-10 16:52:56 UTC
(In reply to comment #13)
> > I would like to at least see a list of the tests you have done on this package.
> 
> As any reviewer should, I have checked these items :
> http://fedoraproject.org/wiki/Packaging/ReviewGuidelines#Things_To_Check_On_Review

No you didn't. The review guidelines state: "MUST: rpmlint must be run on every package. The output should be posted in the review." The output includes some warnings of which at least one needs to be fixed, but you did not post the output here.

The review guidelines also state: "MUST: The package must meet the Packaging Guidelines." and the packaging guidelines include: "When downloading sources, patches etc, consider using a client that preserves the upstream timestamps." You did not check the timestamps, did you?


@Guillaume: I'd like to have a look on these packages once more, so please wait a little. TIA!

Comment 15 Aurelien Bompard 2009-01-10 18:43:53 UTC
> No you didn't.

Yes I did. You can choose not to believe me of course.

> The review guidelines state: "MUST: rpmlint must be run on every
> package. The output should be posted in the review." The output includes some
> warnings of which at least one needs to be fixed, but you did not post the
> output here.

Here's the output of rpmlint here :
backup-manager.noarch: W: incoherent-version-in-changelog 0.7.7-3 ['0.7.7-3.fc10', '0.7.7-3.fc10']
Which is completely useless.

> The review guidelines also state: "MUST: The package must meet the Packaging
> Guidelines." and the packaging guidelines include: "When downloading sources,
> patches etc, consider using a client that preserves the upstream timestamps."

Note the "consider". Preserving the timestamp of the source tarball is a minor detail.

> You did not check the timestamps, did you?

You should take the guidelines with a little more distance. Use your experience and your judgment to know what's important and what's "nice to have" in this very long list of guidelines.

It's nice however that you found out about the binary dependencies.

Comment 16 Christoph Wickert 2009-01-10 19:20:55 UTC
(In reply to comment #15)
> Yes I did. You can choose not to believe me of course.

The review guidlines include the packaging guidelines and at least the latter are not met.

> Here's the output of rpmlint here :
> backup-manager.noarch: W: incoherent-version-in-changelog 0.7.7-3
> ['0.7.7-3.fc10', '0.7.7-3.fc10']
> Which is completely useless.

You are supposed to run rpmlint on _all_packages, not only the binaries.

$ rpmlint /home/chris/Desktop/backup-manager-0.7.7-3.fc10.src.rpm 
backup-manager.src: W: strange-permission backup-manager-0.7.7.tar.gz 0770
backup-manager.src: W: strange-permission backup-manager.spec 0770
backup-manager.src: W: strange-permission backup-manager.cron.daily 0770
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Hint: You should also run rpmlint on the installed package, because some errors are not detected otherwise.

> It's nice however that you found out about the binary dependencies.

This is IMO also part of the review guidelines.

P.S.: I know I am pedantic ;)

Comment 17 Aurelien Bompard 2009-01-10 21:12:26 UTC
> The review guidlines include the packaging guidelines and at least the latter
> are not met.

That's not my point of view. I can't see _actual_ errors in your added remarks, except the binary dependencies (which could cause the package not to work). But finding those require to inspect the code, and the guidelines don't make that mandatory. Maybe it should be added as a SHOULD item, only in the case of shell scripts (where those are common) ?

> backup-manager.src: W: strange-permission backup-manager-0.7.7.tar.gz 0770
> backup-manager.src: W: strange-permission backup-manager.spec 0770
> backup-manager.src: W: strange-permission backup-manager.cron.daily 0770

I did run rpmlint on the src.rpm, and the "strange-permission" warning is also not something I consider important: the source permissions will not be preserved when the package is imported in CVS.

> Hint: You should also run rpmlint on the installed package, because some 
> errors are not detected otherwise.

Hey ! I never realized rpmlint could be run on installed packages ! Thanks a lot for pointing this out !

> This is IMO also part of the review guidelines.

No, it's not required to inspect the source code of a package under review.

> P.S.: I know I am pedantic ;)

:) Look, I know you are trying to improve the quality of the packages in Fedora, and I understand your point of view. However, Fedora, and fedora.us before it, has already tried this route. And we ended up where we have to actually cache as static HTML the list of packages awaiting review, because it is so huge. And after the review, the packager is free to make all the mistakes he wants... We have a big problem here, and this bug is not the place to discuss it, but please understand that sometimes "the better is the enemy of the good". We must not scare packagers away, or bore them to death (this bug was submitted in august 2008). If my review looks perfectible to you, that's because it is. Imperfect, but good enough IMO. That's my point of view, and I can totally understand if you don't share it (and it's nice, we need people like you too).

Please finish your review of backup-manager, and reassign the bug to you. And thanks for helping out, sincerely.

Comment 18 Guillaume Kulakowski 2009-01-11 09:46:38 UTC
@Christoph Wickert > You review an old package...

spec: http://www.llaumgui.com/public/rpm/SPECS/backup-manager.spec
rpm:
http://www.llaumgui.com/public/rpm/RPMS/fc10/noarch/backup-manager-0.7.7-4.fc10.noarch.rpm
src:
http://www.llaumgui.com/public/rpm/SRPMS/fc10/backup-manager-0.7.7-4.fc10.src.rpm

---------------------------------------------
llaumgui@enterprise ~/Bureau/bm> ll                                                                                                                          10:44
total 260K
-rw-r--r-- 1 llaumgui llaumgui 103K janv. 11 10:42 backup-manager-0.7.7-4.fc10.noarch.rpm
-rw-r--r-- 1 llaumgui llaumgui 142K janv. 11 10:43 backup-manager-0.7.7-4.fc10.src.rpm
-rw-r--r-- 1 llaumgui llaumgui 3,3K janv. 11 10:42 backup-manager.spec
llaumgui@enterprise ~/Bureau/bm> rpmlint ./*                                                                                                                 10:44
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
---------------------------------------------

The package is OK ?

Comment 19 Christoph Wickert 2009-01-11 13:33:25 UTC
(In reply to comment #18)
> @Christoph Wickert > You review an old package...

No, I haven't really started the review yet. :) I only wanted to show Aurelien that there were some warnings in the package he reviewed and that he did not post them the review.
Please stay tuned for a complete review.


(In reply to comment #17)
> No, it's not required to inspect the source code of a package under review.

The guidelines state that all (build)requirements need to be met and this can only be checked by taking a look at the source. Not only for shell scripts, but also for code and for Makefiles. Do you have a better suggestion how to do that?

> :) Look, I know you are trying to improve the quality of the packages in
> Fedora, and I understand your point of view. However, Fedora, and fedora.us
> before it, has already tried this route. And we ended up where we have to
> actually cache as static HTML the list of packages awaiting review, because it
> is so huge.

The list got so long because of the merge reviews and we are caching them now because of the 'review with flags'-thing. Back in the days when we used blocker bugs there it was not necessary to cache the pages.

> And after the review, the packager is free to make all the mistakes
> he wants... 

That's what sponsors and cvsextras@fpo are for. People should look over other's commits. I as a sponsor have set up filters and I take a look at every commit of my sponsorees, at least until I trust them enough.

> We must not scare packagers away, or bore them to death (this bug
> was submitted in august 2008). 

Agreed, but I think it is very important for new packagers to get detailed reviews in order to learn the packaging guidelines. If they get sloppy reviews, they are going to do sloppy packages. A detailed review can be done within less than an hour, so this can't be the reason for this bug being open so long.

> Please finish your review of backup-manager, and reassign the bug to you.

Ok, will do. Can you sponsor Guillaume afterwards?

Comment 20 Aurelien Bompard 2009-01-11 14:12:32 UTC
I don't want to pollute this bug with justifications, so I'm not going to go into further details. As I said, I believe both approaches are useful.

> The list got so long because of the merge reviews and we are caching them now
> because of the 'review with flags'-thing. Back in the days when we used 
> blocker bugs there it was not necessary to cache the pages.

No-no, the list has always been huge, even before Fedora time. Now, with merge reviews, the list is just gigantic. The fact that the static pages were officially added only recently does not change the fact that we never found a way to cope efficiently with the amount of submissions.

> If they get sloppy reviews, they are going to do sloppy packages.

I don't agree with that.
But hey, this discussion occurred many many times before on fedora-devel, and there always were these two sides. It's probably not going to change here and now.

> Can you sponsor Guillaume afterwards?

Sure.

Comment 21 Christoph Wickert 2009-01-11 16:53:34 UTC
(In reply to comment #20)
> I don't want to pollute this bug with justifications, so I'm not going to go
> into further details. 

Me ether, nevertheless I'd like you to read my review and ask yourself if the package really was ready for approval. No need to answer here, just think about it.

> The fact that the static pages were
> officially added only recently does not change the fact that we never found a
> way to cope efficiently with the amount of submissions.

The static pages were not added recently but after we switched to reviews with flags because searching for flags in bugzilla is not trivial. Please ask Christian Iseli if you don't believe me.

> > Can you sponsor Guillaume afterwards?
> 
> Sure.

Thanks, so I'm removing the blocker on bug # 177841 now.



REVIEW FOR ab3594db4b6b5fe1740b606ad06d41cd  backup-manager-0.7.7-4.fc10.src.rpm

OK - MUST: rpmlint must be run on every package.
$ rpmlint /var/lib/mock/fedora-rawhide-i386/result/backup-manager-0.7.7-4.fc11.*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
OK - MUST: The package is named according to the Package Naming Guidelines.
OK - MUST: The spec file name matches the base package %{name}, in the format %{name}.spec.
 - MUST: The package meets the Packaging Guidelines.
OK - MUST: The package is licensed with a Fedora approved license (GPLv2+) and meets the Licensing Guidelines.
OK - MUST: The License field in the package spec file matches the actual license.
OK - MUST: The license file from the source package is included in %doc.
OK - MUST: The spec file is in American English.
OK - MUST: The spec file for the package is legible.
OK - MUST: The sources used to build the package matches the upstream source by MD5 076af845dee01453f450bd06d021fcc3
OK - MUST: The package successfully compiles and builds into binary rpms on i386
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
FIX - MUST: Not all build dependencies are listed in BuildRequires:
The package runs pod2man to localize the manpages. pod2man is provided by the perl package, which is pulled in automatically, but should be listed explicitly because it is not in
http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

OK - MUST: The spec file handles locales properly with the %find_lang macro.
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
OK - MUST: The package owns all directories that it creates.
OK - MUST: The package does not contain any duplicate files in the %files listing.
OK - MUST: Permissions on files are set properly. The %files section includes a %defattr(...) line.
OK - MUST: The package has a %clean section, which contains or $RPM_BUILD_ROOT.
OK - MUST: The package consistently uses macros, as described in the macros section of Packaging Guidelines.
OK - MUST: The package contains code, no content.
N/A - MUST: Large documentation files should go in a -doc subpackage.
OK - MUST: Files included as %doc do not affect the runtime of the application.
N/A - MUST: Header files must be in a -devel package.
N/A - MUST: Static libraries must be in a -static package.
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
N/A - MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
N/A - MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
OK - MUST: The package does not contain any .la libtool archives.
N/A - MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
OK - MUST: The packages does not own files or directories already owned by other packages.
OK - MUST: At the beginning of %install, the package runs $RPM_BUILD_ROOT.
OK - MUST: All filenames in rpm packages are valid UTF-8.
N/A - SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: The the package builds in mock.
OK - SHOULD: The package should compile and build into binary rpms on all supported architectures.
OK - SHOULD: The package functions as described.
N/A - SHOULD: If scriptlets are used, those scriptlets must be sane.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
N/A - SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


Issues:
- Paths for %{_bindir}, %{_datadir} and %{_localstatedir} are hardcoded in backup-manager and in contrib/sanitize.dh. This surely is a blocker!
- Fix BuildRequires (see above)
- Fix Requires: We need to at least require the commands from the default backup-manager.conf and most of the stuff from the "external commands" section in the backup-manager: 
  -- tar, gzip, bzip2, bc
  -- /usr/bin/md5sum, /bin/nice, /usr/bin/tail (these 3 are in coreutils, so I recommend to require the package instead of the file names)
  -- /usr/bin/logger (util-linux-ng), /usr/bin/gpg (gnupg)
  -- /usr/bin/mkisofs, /usr/bin/cdrecord, /usr/bin/growisofs (dvd+rw-tools) and /usr/bin/dvd+rw-format (dvd+rw-tools)

- Optional requirements (I'll leave these up to you)
  -- zip, lzma and dar
  -- /usr/bin/scp (openssh-clients), /usr/bin/ssh (openssh-clients) and /usr/bin/ftp (ftp) for upload-methods.sh, maybe also rsync
  -- /usr/bin/diff (diffutils), /usr/bin/less (less) and usr/bin/sed (sed) for upgrade-conffile.sh
  -- /usr/bin/svnadmin (subversion) and /usr/bin/mysqldump (mysql)

- backup-manager requires both /bin/bash and /bin/sh, but /bin/bash is a superset of /bin/sh. Is this intended or are the scripts not constant in using either one or the other?

- the package requires perl(BackupManager::Config), perl(BackupManager::Dialog) and perl(BackupManager::Logger). but it also provides them. They should be filtered out as described in
https://fedoraproject.org/wiki/Packaging/Perl#Filtering_Requires:_and_Provides

- /var/lib/backup-manager is referenced in /etc/backup-manager.conf, but nether created nor owned by backup-manager

- minor: Typo in latest changelog entry: "licence" instead of "license"

Comment 23 Christoph Wickert 2009-01-12 01:02:48 UTC
The requirements are still not correct. It often makes sense to use file dependencies, for some deps it is actually needed: /usr/bin/cdrecord and /usr/bin/mkisofs can be provided by different packages but not only by wodim. Also the name of a package might change over time as it did with /usr/bin/logger, so it's better to require the file.

This is what I suggest:

Requires:       /usr/bin/logger
Requires:       /usr/bin/mkisofs
Requires:       /usr/bin/cdrecord
Requires:       bc
Requires:       bzip2
Requires:       coreutils
Requires:       diffutils
Requires:       dvd+rw-tools
Requires:       less
Requires:       ftp
Requires:       genisoimage
Requires:       gettext
Requires:       gnupg
Requires:       gzip
Requires:       openssh-clients
Requires:       rsync
Requires:       sed
Requires:       tar
Requires:       which 

I also removed zip, because I doubt someone will use zip archives for backups as they can't store permissions. lzma and dar are also not very common, so I wouldn't add them. I would also remove rsync, but this is your decision.


Please replace %{_var}/lib/ with %{_localstatedir} in your spec.

Hint: If you want to use a macro like "%{_var}/lib/" in the changelog, you need to escape it as "%%{_var}/lib/", not "_{_var}/lib/"

You have added %{_var}/lib/%{name} to the %files list, but you also need to create the dir during install, otherwise it wont get included in the package.

Please remove the "It just works." from the description, because we don't want these kind of "advertising" in our packages.

Some trivial typos in changelog: Fixe -> Fix


No no need for making a new package now, just fix the spec and post the link here. I will look after the patch to get rid of the hardcoded patch in the meantime. Stay tuned.

Comment 24 Christoph Wickert 2009-01-12 01:05:49 UTC
Please don't forget "BuildRequires: perl" as outlined comment # 21.

Comment 25 Guillaume Kulakowski 2009-01-13 17:18:57 UTC
(In reply to comment #23)
> You have added %{_var}/lib/%{name} to the %files list, but you also need to
> create the dir during install, otherwise it wont get included in the package.
The line 106 isn't good ?
# mkdir -p %{buildroot}%{_var}/lib/%{name}

> Please remove the "It just works." from the description, because we don't want
> these kind of "advertising" in our packages.
It's the official description to http://www2.backup-manager.org... But OK.

Comment 26 Christoph Wickert 2009-01-13 17:33:53 UTC
(In reply to comment #25)
> (In reply to comment #23)
> > You have added %{_var}/lib/%{name} to the %files list, but you also need to
> > create the dir during install, otherwise it wont get included in the package.
> The line 106 isn't good ?
> # mkdir -p %{buildroot}%{_var}/lib/%{name}

Damn, Firefox has taken the old file from the cache once again. It's ok, no problem, but better use use %{buildroot}%{_localstatedir}/%{name} .

Comment 27 Guillaume Kulakowski 2009-01-13 18:55:14 UTC
Correction made : http://trac.llaumgui.com/browser/rpmbuild/SPEC/backup-manager.spec

Comment 28 Gratien D'haese 2009-01-15 14:57:54 UTC
Did a quick check (as new packager) on backup-manager.spec v0.7.7-6
1/ the spec file looks OK to me, but I'm not an expert on the field (wip)
2/ do a build test:
$ rpmbuild -ba backup-manager.spec
....

remark 1: Requires: /bin/bash /bin/sh
==> see comment #21 (bash is a superset of sh)

remark 2: Converting encoding some doc-files
+ for file in AUTHORS ChangeLog THANKS
+ mv AUTHORS timestamp
+ iconv -f ISO-8859-1 -t UTF-8 -o AUTHORS timestamp
but later I saw:
+ cp -pr AUTHORS COPYING ChangeLog NEWS README THANKS /var/tmp/backup-manager-0.7.7-6.fc9-root-makerpm/usr/share/doc/backup-manager-0.7.7
==> the files NEWS README and THANKS are not converted. Why not?
Small check:
in spec file I see: %doc AUTHORS COPYING ChangeLog NEWS README THANKS
and,
[makerpm@localhost backup-manager-0.7.7]$ file THANKS 
THANKS: UTF-8 Unicode English text
[makerpm@localhost backup-manager-0.7.7]$ file README 
README: ASCII English text

remark 3: the "t" directory in the source tree is not very meaningful, why not call it "tests"?
==> I know inspecting the code is not part of the packaging guidelines, but all bits help. You may ignore this if you want as at the end the tests are not part of the RPM itself.


3/ doing a build with the tarball:
[makerpm@localhost rpmbuild]$ rpmbuild -tb -vv /home/makerpm/rpmbuild/SOURCES/backup-manager-0.7.7.tar.gz 
error: Name field must be present in package: (main package)
error: Version field must be present in package: (main package)
error: Release field must be present in package: (main package)
error: Summary field must be present in package: (main package)
error: Group field must be present in package: (main package)
error: License field must be present in package: (main package)
D: May free Score board((nil))

==> this fails.
Could this be of a missing spec file in the tarball?
[makerpm@localhost rpmbuild]$ tar ztf SOURCES/backup-manager-0.7.7.tar.gz | grep spec
==> not found

4/ the remark conc. the development release 0.7.7 is correct. Once the bug report gets a GO (package ready to checked into CVS) make a stable release package instead, e.g. 0.8.0

OK for me, on some minor remarks.
Thanks for the learning experience!

Comment 29 Guillaume Kulakowski 2009-01-15 19:22:26 UTC
I have made some change :
 - Replace bin/sh by bin/bash
 - Use patch insted multiple sed
 - UTF8 encode doc files



spec: http://trac.llaumgui.com/browser/rpmbuild/SPEC/backup-manager.spec
rpm:
http://www.llaumgui.com/public/rpm/RPMS/fc10/noarch/backup-manager-0.7.7-7.fc10.noarch.rpm
src:
http://www.llaumgui.com/public/rpm/SRPMS/fc10/backup-manager-0.7.7-7.fc10.src.rpm

I have my validation ?

Comment 30 Guillaume Kulakowski 2009-01-15 19:45:19 UTC
Hum... is there a problem :

root@enterprise /var/lib/mock/fedora-10-x86_64/result> rpm -Uvh backup-manager-0.7.7-7.fc10.noarch.rpm
erreur: Dépendances requises:
	perl(BackupManager::Config) est nécessaire pour backup-manager-0.7.7-7.fc10.noarch
	perl(BackupManager::Dialog) est nécessaire pour backup-manager-0.7.7-7.fc10.noarch
	perl(BackupManager::Logger) est nécessaire pour backup-manager-0.7.7-7.fc10.noarch

Comment 32 Ralf Corsepius 2009-01-16 03:20:43 UTC
(In reply to comment #31)
> Ok, it's repair :
Not quite. Now your package lacks all perl module requires/provide.

Removing your requ/prov-filtering entirely should resolve this.

Comment 33 Christoph Wickert 2009-01-16 03:31:48 UTC
(In reply to comment #32)
> Removing your requ/prov-filtering entirely should resolve this.

Huh? I thought we were supposed to do this. Packages should not provide things that no other packages but themselves require. Or am I mistaken here?

Comment 34 Ralf Corsepius 2009-01-16 03:51:29 UTC
(In reply to comment #33)
> (In reply to comment #32)
> > Removing your requ/prov-filtering entirely should resolve this.
> 
> Huh? I thought we were supposed to do this. Packages should not provide things
> that no other packages but themselves require. Or am I mistaken here?
It's the latter.

In case of this package's perl modules: The package is installing some perl modules to a globally accessible location. To denote this fact rpm-wise, it 
must provide these.

=> it _must_ Provide: perl(BackupManager::...)

Removing the requ/prov-filters causes rpmbuild to do this automatically.

Comment 35 Guillaume Kulakowski 2009-01-16 07:02:56 UTC
Like that : http://trac.llaumgui.com/browser/rpmbuild/SPEC/backup-manager.spec ?

Comment 36 Guillaume Kulakowski 2009-01-20 07:12:30 UTC
@Christoph > Your review is finish ? The review is approve ? Because this review block my sponsorships and the pidgin-privacy-please integration...

Comment 37 Gratien D'haese 2009-01-21 10:32:56 UTC
1/ basic rpmbuild/rpmlint tests:

$ rpmbuild -ba SPECS/backup-manager.spec
=> No issues here. Good.

$ rpmlint -vi SRPMS/backup-manager-0.7.7-7.fc9.src.rpm RPMS/noarch/backup-manager-0.7.7-7.fc9.noarch.rpm
backup-manager.src: I: checking
backup-manager.src: W: strange-permission backup-manager.spec 0755
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

backup-manager.noarch: I: checking
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
=> pls. fix the permission of the spec file before starting the rpmbuild process

2/ check spec file:

The spec file contains 'Requires' lines which are not really needed - see:
http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

Requires:       /bin/bash
Requires:       bzip2
Requires:       gzip
Requires:       diffutils
Requires:       sed
Requires:       tar
Requires:       which

3/ install & usage backup-manager:
- install rpm : ok
- usage : ok
- removal of rpm : ok

Good your almost there.

Comment 38 Christoph Wickert 2009-01-21 11:48:13 UTC
(In reply to comment #36)
> @Christoph > Your review is finish ? The review is approve ? Because this
> review block my sponsorships and the pidgin-privacy-please integration...

Why that? I thought Aurelien already said he will sponsor you.

I'm not really happy with the hardcoded paths bin /backup manager, but on the other hand I don't want to write a ./configure. This should be done upstream.

I see backup-manager-0.7.7-7.fc10 fixes all issues from comment #23, but instead of
  %{name}-%{version}-configtpl.patch
you should use
  %{name}-0.7.7-configtpl.patch
Otherwise you will have to delete and re-add the file in cvs on every update.

Nevertheless this is your decision and you can fix it after import, so I will APPROVE the package now.


(In reply to comment #37)
> The spec file contains 'Requires' lines which are not really needed - see:
> http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

This list is for _BuildRequries_ in the build system but not for _Requires_ of the package itself.
Also note that your third test from comment #28 is not supposed to work.

Comment 39 Guillaume Kulakowski 2009-01-22 19:12:23 UTC
New Package CVS Request
=======================
Package Name: backup-manager
Short Description: A command line backup tool for GNU/Linux
Owners: llaumgui
Branches: F-9 F-10 EL-5
InitialCC:

Comment 40 Kevin Fenzi 2009-01-25 01:59:02 UTC
I can't process this yet, until bug 481365 is cleared up. 
Can you reset the fedora-cvs when that bug is taken care of?

Comment 41 Guillaume Kulakowski 2009-01-25 08:34:03 UTC
No, I can't.

Can you remove guillaume AT llaumgui DOT com account and permit me to change my email by llaumgui AT gmail DOT com for sync my bz account with my fas ?

Comment 42 Guillaume Kulakowski 2009-01-26 18:53:29 UTC
My bubzilla account problem is solved. I have the permission on the good account

Comment 43 Guillaume Kulakowski 2009-01-26 18:54:05 UTC
New Package CVS Request
=======================
Package Name: backup-manager
Short Description: A command line backup tool for GNU/Linux
Owners: llaumgui
Branches: F-9 F-10 EL-5
InitialCC:

Comment 44 Kevin Fenzi 2009-01-26 22:19:17 UTC
cvs done.

Comment 45 Fedora Update System 2009-01-29 23:00:41 UTC
backup-manager-0.7.7-7.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update backup-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1071

Comment 46 Fedora Update System 2009-01-29 23:09:00 UTC
backup-manager-0.7.7-7.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update backup-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1166

Comment 47 Fedora Update System 2009-02-07 22:19:53 UTC
backup-manager-0.7.7-7.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 48 Fedora Update System 2009-02-07 22:24:40 UTC
backup-manager-0.7.7-7.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 49 Guillaume Kulakowski 2014-09-01 13:25:09 UTC
Package Change Request
======================
Package Name: backup-manager
New Branches: EL-7
Owners: llaumgui

Comment 50 Gwyn Ciesla 2014-09-02 12:25:15 UTC
Git done (by process-git-requests).

Comment 51 Pavel Alexeev 2014-09-08 08:39:28 UTC
Is it reproducible?
Could you please test rawhide version too?

Comment 52 Guillaume Kulakowski 2014-09-08 09:38:56 UTC
What ?

Comment 53 Pavel Alexeev 2014-09-08 12:57:54 UTC
I'm big sorry. Post in wrong bug.


Note You need to log in before you can comment on or make changes to this bug.